#category-wrapper{
    margin-bottom: 5em;
}

#search-wrapper{
    margin-bottom: 15em;
}
/*
 dropdown item
 */
.select-div{
    margin-left: 25em;
    border-radius: 0.25rem;
}

select {
    font-family: 'El Messiri', sans-serif;
    font-size: 0.8em;
    /* styling */
    background-color: white;
    border: thin solid black;
    /*border-radius: 4px;*/
    display: inline-block;
    line-height: 1.5em;
    padding: 0.5em 3.5em 0.5em 1em;

    /* reset */

    margin: 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-appearance: none;
    -moz-appearance: none;
    border-radius: 0.25rem;
}


/* arrows */

select.classic {
    background-image:
        linear-gradient(45deg, transparent 50%, deeppink 50%),
        linear-gradient(135deg, deeppink 50%, transparent 50%),
        linear-gradient(to right, white, white);
    background-position:
        calc(100% - 20px) calc(1em + 2px),
        calc(100% - 15px) calc(1em + 2px),
        100% 0;
    background-size:
        5px 5px,
        5px 5px,
        2.5em 2.5em;
    background-repeat: no-repeat;
    border-radius: 0.25rem;
}

select.classic:focus {
    background-image:
        linear-gradient(45deg, deeppink 50%, transparent 50%),
        linear-gradient(135deg, transparent 50%, deeppink 50%),
        linear-gradient(to right, white, white);
    background-position:
        calc(100% - 15px) 1em,
        calc(100% - 20px) 1em,
        100% 0;
    background-size:
        5px 5px,
        5px 5px,
        2.5em 2.5em;
    background-repeat: no-repeat;
    border-color: grey;
    outline: 0;
    border-radius: 0.25rem;
}
/*
 end of dropdown item
 */

.flowers-colors{
    width: 10%;
    margin-top: 1em;
    font-family: 'El Messiri', sans-serif;
    font-size: 1.4em;
    font-weight: bolder;
    text-transform: uppercase;
    float: left;
}

#mobile{
    display: none;
}

#desk {
    display: inherit;
}

.flowers-colors>label{
    text-align: center;
    width: 100%;
    border-bottom: lightpink 1px solid;
}

.flowers-products{
    width: 80%;
    float: right;
    font-size: 2em;
    /*border-bottom: 1px solid black;*/
}

.products-search{
    margin-bottom: 35em;
}

.color-image{
    width: 0.9em;
    height: 0.9em;
    border: thin solid lightpink;
}

#color-wrapper{
    -ms-transform: rotate(90deg); /* IE 9 */
    transform: rotate(90deg);
}

#color-wrapper>div{
    margin-bottom: 3em;
    margin-right: 0;
}

.flower-product-image{
    align-items: center;
    margin: 1.4em;
    width: 7em;
    height: 7em;
}

#flowers-product-wrapper{
    text-align: center;
    margin-bottom: 5em;
}

#flower-item-wrapper{
    margin-top: 1em;
    margin-bottom: 1em;
    font-family: "El Messiri", sans-serif;
}

#flower-item-wrapper>a{
    text-decoration: none;
    color: black;
    font-weight: bold;
}

#flower-item-wrapper>span{
    margin-right: auto;
    margin-left: auto;
    font-weight: bold;
}

.color-link{
    color: black;
    text-decoration: none;
}

.color-link:hover{
    color: black;
    text-decoration: none;
}

@media (max-width: 801px) {
    .select-div{
        margin-left: 6em;
    }

    select{
        width: 80%;
        font-size: 0.6em;
    }

    #mobile{
        display: inherit;
        margin-top: -2em;
        margin-left: -1em;
    }

    #mobile>div>div{
        max-width: 25%;
    }

    #desk {
        display: none;
    }

    .flowers-colors{
        width: 30%;
        margin-top: 1em;
        font-family: 'El Messiri', sans-serif;
        font-size: 1em;
        font-weight: bolder;
        text-transform: uppercase;
        float: none;
    }


    .color-image{
        width: 0.9em;
        height: 0.9em;
        border: thin solid lightpink;
    }

    #color-wrapper{
        -ms-transform: rotate(0); /* IE 9 */
        transform: rotate(0);
    }

    #color-wrapper>div{
        margin-bottom: -0.1em;
        margin-right: -0.5em;
    }

    .flowers-products{
        width: 80%;
        float: none;
        font-size: 1em;
        border-bottom: 1px solid black;
    }

    .flower-product-image{
        width: 4em;
        height: 4em;
    }

    .flower-item-col{
        max-width: 50%;
    }

    .products-search{
        margin-bottom: -15em;
    }
}
